Updated the last two header files so that they are configured with
authorJohn Criswell <criswell@uiuc.edu>
Fri, 24 Sep 2004 21:19:06 +0000 (21:19 +0000)
committerJohn Criswell <criswell@uiuc.edu>
Fri, 24 Sep 2004 21:19:06 +0000 (21:19 +0000)
AC_CONFIG_HEADERS.  This should prevent LLVM from needlessly re-compiling
on a re-configure.

git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@16510 91177308-0d34-0410-b5e6-96231b3b80d8

autoconf/configure.ac
autoconf/m4/cxx_bidi_iterator.m4
autoconf/m4/cxx_fwd_iterator.m4
autoconf/m4/cxx_std_iterator.m4
configure
include/llvm/ADT/iterator.in
include/llvm/Config/config.h.in
include/llvm/Support/MutexGuard.h
include/llvm/Support/ThreadSupport.h.in

index 53377e4e08988f615dce633191b8d53f9c78e990..c0e6e13fe924eaae2114bd6d3223f1c9383284f5 100644 (file)
@@ -42,12 +42,12 @@ dnl Configure header files
 AC_CONFIG_HEADERS(include/llvm/Config/config.h)
 
 dnl Configure other output file
-AC_CONFIG_FILES(Makefile.config
- include/llvm/Support/ThreadSupport.h
- include/llvm/ADT/iterator)
+AC_CONFIG_FILES(Makefile.config)
 AC_CONFIG_HEADERS([include/llvm/Support/DataTypes.h])
 AC_CONFIG_HEADERS([include/llvm/ADT/hash_map])
 AC_CONFIG_HEADERS([include/llvm/ADT/hash_set])
+AC_CONFIG_HEADERS([include/llvm/Support/ThreadSupport.h])
+AC_CONFIG_HEADERS([include/llvm/ADT/iterator])
 
 dnl Do special configuration of Makefiles
 AC_CONFIG_MAKEFILE(Makefile)
@@ -255,8 +255,8 @@ AC_SEARCH_LIBS(mallinfo,malloc,AC_DEFINE([HAVE_MALLINFO],[1],[Define if mallinfo
 
 dnl pthread locking functions are optional - but llvm will not be thread-safe
 dnl without locks.
-AC_SEARCH_LIBS(pthread_mutex_lock,pthread,HAVE_PTHREAD_MUTEX_LOCK=1,HAVE_PTHREAD_MUTEX_LOCK=0)
-AC_SUBST(HAVE_PTHREAD_MUTEX_LOCK)
+AC_SEARCH_LIBS(pthread_mutex_lock,pthread,AC_DEFINE([HAVE_PTHREAD_MUTEX_LOCK],[1],[Have pthread_mutex_lock]))
+dnl AC_SUBST(HAVE_PTHREAD_MUTEX_LOCK)
 
 dnl Checks for header files.
 dnl We don't check for ancient stuff or things that are guaranteed to be there
index 959d4fc22471f6237822e5fa3419127dd9503e15..d7de85630b5f1766e2e9c797720e1a0f89052420 100644 (file)
@@ -13,9 +13,10 @@ using namespace std;
 #endif]], [[bidirectional_iterator<int,int> t; return 0;]])],[ac_cv_cxx_have_bi_iterator=yes],[ac_cv_cxx_have_bi_iterator=no])
   AC_LANG_POP([C++])
 ])
-HAVE_BI_ITERATOR=0
 if test "$ac_cv_cxx_have_bi_iterator" = yes
 then
-   HAVE_BI_ITERATOR=1
+  AC_DEFINE(HAVE_BI_ITERATOR,1,[Have bi-directional iterator])
+else
+  AC_DEFINE(HAVE_BI_ITERATOR,0,[Does not have bi-directional iterator])
 fi
-AC_SUBST(HAVE_BI_ITERATOR)])
+])
index 73711b5621568bfe539fee9732158e372bbd8b08..eb7660c7c25c5560481119fc87acc15c63038b42 100644 (file)
@@ -11,11 +11,12 @@ using namespace std;
 #endif]], [[forward_iterator<int,int> t; return 0;]])],[ac_cv_cxx_have_fwd_iterator=yes],[ac_cv_cxx_have_fwd_iterator=no])
   AC_LANG_POP([C++])
 ])
-HAVE_FWD_ITERATOR=0
 if test "$ac_cv_cxx_have_fwd_iterator" = yes
 then
-   HAVE_FWD_ITERATOR=1
+   AC_DEFINE(HAVE_FWD_ITERATOR,1,[Have forward iterator])
+else
+   AC_DEFINE(HAVE_FWD_ITERATOR,0,[Does not have forward iterator])
 fi
-AC_SUBST(HAVE_FWD_ITERATOR)])
+])
 
 
index 578dcc4a21e8e61d18a96da73aa0791bd2cfab47..38a611764c790dd8e19ee7edc01ed7fa7374505e 100644 (file)
@@ -15,11 +15,12 @@ using namespace std;
   ac_cv_cxx_have_std_iterator=no)
   AC_LANG_POP([C++])
 ])
-HAVE_STD_ITERATOR=0
 if test "$ac_cv_cxx_have_std_iterator" = yes
 then
-   HAVE_STD_ITERATOR=1
+   AC_DEFINE(HAVE_STD_ITERATOR,1,[Have std namespace iterator])
+else
+   AC_DEFINE(HAVE_STD_ITERATOR,0,[Does not have std namespace iterator])
 fi
-AC_SUBST(HAVE_STD_ITERATOR)])
+])
 
 
index 33dda9462f54babc0c6085c858f3338c43ed5c26..b169893bd15f6e6a514cc5c5605362222d80e1e6 100755 (executable)
--- a/configure
+++ b/configure
@@ -473,7 +473,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL DOT ETAGS ETAGSFLAGS PYTHON QMTEST HAVE_PTHREAD_MUTEX_LOCK ENDIAN HAVE_STD_ITERATOR HAVE_BI_ITERATOR HAVE_FWD_ITERATOR ALLOCA MMAP_FILE ENABLE_OPTIMIZED JIT LLVMCC1 LLVMCC1PLUS SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS subdirs INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os OS LLVMGCCDIR ARCH CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP ifGNUmake LEX LEXLIB LEX_OUTPUT_ROOT FLEX YACC BISON EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL DOT ETAGS ETAGSFLAGS PYTHON QMTEST ENDIAN ALLOCA MMAP_FILE ENABLE_OPTIMIZED JIT LLVMCC1 LLVMCC1PLUS SHLIBEXT LLVM_PREFIX LLVM_BINDIR LLVM_LIBDIR LLVM_DATADIR LLVM_DOCSDIR LLVM_ETCDIR LLVM_INCLUDEDIR LLVM_INFODIR LLVM_MANDIR LLVM_CONFIGTIME LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1598,7 +1598,7 @@ done
           ac_config_headers="$ac_config_headers include/llvm/Config/config.h"
 
 
-                              ac_config_files="$ac_config_files Makefile.config include/llvm/Support/ThreadSupport.h include/llvm/ADT/iterator"
+          ac_config_files="$ac_config_files Makefile.config"
 
           ac_config_headers="$ac_config_headers include/llvm/Support/DataTypes.h"
 
@@ -1606,6 +1606,10 @@ done
 
           ac_config_headers="$ac_config_headers include/llvm/ADT/hash_set"
 
+          ac_config_headers="$ac_config_headers include/llvm/Support/ThreadSupport.h"
+
+          ac_config_headers="$ac_config_headers include/llvm/ADT/iterator"
+
 
           ac_config_commands="$ac_config_commands Makefile"
 
@@ -4176,7 +4180,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4179 "configure"' > conftest.$ac_ext
+  echo '#line 4183 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5057,7 +5061,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5060:" \
+echo "$as_me:5064:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6114,11 +6118,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6117: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6121: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6121: \$? = $ac_status" >&5
+   echo "$as_me:6125: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6357,11 +6361,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6360: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6364: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6364: \$? = $ac_status" >&5
+   echo "$as_me:6368: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6417,11 +6421,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6420: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6424: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6424: \$? = $ac_status" >&5
+   echo "$as_me:6428: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8594,7 +8598,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8597 "configure"
+#line 8601 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8692,7 +8696,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8695 "configure"
+#line 8699 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10878,11 +10882,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10881: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10885: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:10885: \$? = $ac_status" >&5
+   echo "$as_me:10889: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -10938,11 +10942,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:10941: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:10945: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:10945: \$? = $ac_status" >&5
+   echo "$as_me:10949: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12299,7 +12303,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12302 "configure"
+#line 12306 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12397,7 +12401,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12400 "configure"
+#line 12404 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13234,11 +13238,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13237: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13241: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13241: \$? = $ac_status" >&5
+   echo "$as_me:13245: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13294,11 +13298,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13297: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13301: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13301: \$? = $ac_status" >&5
+   echo "$as_me:13305: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15325,11 +15329,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15328: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15332: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15332: \$? = $ac_status" >&5
+   echo "$as_me:15336: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15568,11 +15572,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15571: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15575: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15575: \$? = $ac_status" >&5
+   echo "$as_me:15579: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15628,11 +15632,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15631: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15635: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:15635: \$? = $ac_status" >&5
+   echo "$as_me:15639: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17805,7 +17809,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17808 "configure"
+#line 17812 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -17903,7 +17907,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 17906 "configure"
+#line 17910 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19583,11 +19587,12 @@ echo "$as_me:$LINENO: result: $ac_cv_search_pthread_mutex_lock" >&5
 echo "${ECHO_T}$ac_cv_search_pthread_mutex_lock" >&6
 if test "$ac_cv_search_pthread_mutex_lock" != no; then
   test "$ac_cv_search_pthread_mutex_lock" = "none required" || LIBS="$ac_cv_search_pthread_mutex_lock $LIBS"
-  HAVE_PTHREAD_MUTEX_LOCK=1
-else
-  HAVE_PTHREAD_MUTEX_LOCK=0
-fi
 
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_PTHREAD_MUTEX_LOCK 1
+_ACEOF
+
+fi
 
 
 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
@@ -21824,10 +21829,19 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 fi
 echo "$as_me:$LINENO: result: $ac_cv_cxx_have_std_iterator" >&5
 echo "${ECHO_T}$ac_cv_cxx_have_std_iterator" >&6
-HAVE_STD_ITERATOR=0
 if test "$ac_cv_cxx_have_std_iterator" = yes
 then
-   HAVE_STD_ITERATOR=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STD_ITERATOR 1
+_ACEOF
+
+else
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_STD_ITERATOR 0
+_ACEOF
+
 fi
 
 echo "$as_me:$LINENO: checking whether the compiler has the bidirectional iterator" >&5
@@ -21900,10 +21914,19 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 fi
 echo "$as_me:$LINENO: result: $ac_cv_cxx_have_bi_iterator" >&5
 echo "${ECHO_T}$ac_cv_cxx_have_bi_iterator" >&6
-HAVE_BI_ITERATOR=0
 if test "$ac_cv_cxx_have_bi_iterator" = yes
 then
-   HAVE_BI_ITERATOR=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_BI_ITERATOR 1
+_ACEOF
+
+else
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_BI_ITERATOR 0
+_ACEOF
+
 fi
 
 echo "$as_me:$LINENO: checking whether the compiler has forward iterators" >&5
@@ -21976,10 +21999,19 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 fi
 echo "$as_me:$LINENO: result: $ac_cv_cxx_have_fwd_iterator" >&5
 echo "${ECHO_T}$ac_cv_cxx_have_fwd_iterator" >&6
-HAVE_FWD_ITERATOR=0
 if test "$ac_cv_cxx_have_fwd_iterator" = yes
 then
-   HAVE_FWD_ITERATOR=1
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_FWD_ITERATOR 1
+_ACEOF
+
+else
+
+cat >>confdefs.h <<\_ACEOF
+#define HAVE_FWD_ITERATOR 0
+_ACEOF
+
 fi
 
 
@@ -24496,8 +24528,6 @@ do
   case "$ac_config_target" in
   # Handling of arguments.
   "Makefile.config" ) CONFIG_FILES="$CONFIG_FILES Makefile.config" ;;
-  "include/llvm/Support/ThreadSupport.h" ) CONFIG_FILES="$CONFIG_FILES include/llvm/Support/ThreadSupport.h" ;;
-  "include/llvm/ADT/iterator" ) CONFIG_FILES="$CONFIG_FILES include/llvm/ADT/iterator" ;;
   "lib/System/platform" ) CONFIG_LINKS="$CONFIG_LINKS lib/System/platform:lib/System/$platform_type" ;;
   "Makefile" ) CONFIG_COMMANDS="$CONFIG_COMMANDS Makefile" ;;
   "Makefile.common" ) CONFIG_COMMANDS="$CONFIG_COMMANDS Makefile.common" ;;
@@ -24515,6 +24545,8 @@ do
   "include/llvm/Support/DataTypes.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/llvm/Support/DataTypes.h" ;;
   "include/llvm/ADT/hash_map" ) CONFIG_HEADERS="$CONFIG_HEADERS include/llvm/ADT/hash_map" ;;
   "include/llvm/ADT/hash_set" ) CONFIG_HEADERS="$CONFIG_HEADERS include/llvm/ADT/hash_set" ;;
+  "include/llvm/Support/ThreadSupport.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/llvm/Support/ThreadSupport.h" ;;
+  "include/llvm/ADT/iterator" ) CONFIG_HEADERS="$CONFIG_HEADERS include/llvm/ADT/iterator" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
@@ -24657,11 +24689,7 @@ s,@ETAGS@,$ETAGS,;t t
 s,@ETAGSFLAGS@,$ETAGSFLAGS,;t t
 s,@PYTHON@,$PYTHON,;t t
 s,@QMTEST@,$QMTEST,;t t
-s,@HAVE_PTHREAD_MUTEX_LOCK@,$HAVE_PTHREAD_MUTEX_LOCK,;t t
 s,@ENDIAN@,$ENDIAN,;t t
-s,@HAVE_STD_ITERATOR@,$HAVE_STD_ITERATOR,;t t
-s,@HAVE_BI_ITERATOR@,$HAVE_BI_ITERATOR,;t t
-s,@HAVE_FWD_ITERATOR@,$HAVE_FWD_ITERATOR,;t t
 s,@ALLOCA@,$ALLOCA,;t t
 s,@MMAP_FILE@,$MMAP_FILE,;t t
 s,@ENABLE_OPTIMIZED@,$ENABLE_OPTIMIZED,;t t
index 072beb71ee6b5fb08228cd427824ec393c0b8a4c..f74aca28a634ae6722f8e0ae3bcfb463733a35d6 100644 (file)
 
 #include <iterator>
 
-#if !@HAVE_BI_ITERATOR@
-# if @HAVE_STD_ITERATOR@
+#undef HAVE_BI_ITERATOR
+#undef HAVE_STD_ITERATOR
+#undef HAVE_FWD_ITERATOR
+
+#if !HAVE_BI_ITERATOR
+# if HAVE_STD_ITERATOR
 /// If the bidirectional iterator is not defined, we attempt to define it in
 /// terms of the C++ standard iterator. Otherwise, we import it with a "using"
 /// statement.
@@ -47,8 +51,8 @@ struct bidirectional_iterator
 using std::bidirectional_iterator;
 #endif
 
-#if !@HAVE_FWD_ITERATOR@
-# if @HAVE_STD_ITERATOR@
+#if !HAVE_FWD_ITERATOR
+# if HAVE_STD_ITERATOR
 /// If the forward iterator is not defined, attempt to define it in terms of
 /// the C++ standard iterator. Otherwise, we import it with a "using" statement.
 ///
index 82ae2d2fb26096865769d5bd5dc237c112057e60..e9cdcdf587e81cbbba24bd3d02ce39d0ec3a5083 100644 (file)
@@ -18,6 +18,9 @@
 /* Define to 1 if you have the `backtrace' function. */
 #undef HAVE_BACKTRACE
 
+/* Does not have bi-directional iterator */
+#undef HAVE_BI_ITERATOR
+
 /* Define to 1 if you have the <dlfcn.h> header file. */
 #undef HAVE_DLFCN_H
 
@@ -34,6 +37,9 @@
    */
 #undef HAVE_FINITE_IN_IEEEFP_H
 
+/* Does not have forward iterator */
+#undef HAVE_FWD_ITERATOR
+
 /* Define to 1 if you have the `getcwd' function. */
 #undef HAVE_GETCWD
 
 /* Define to 1 if you have the `gettimeofday' function. */
 #undef HAVE_GETTIMEOFDAY
 
+/* Does not have <hash_map> */
+#undef HAVE_GLOBAL_HASH_MAP
+
+/* Does not have hash_set in global namespace */
+#undef HAVE_GLOBAL_HASH_SET
+
+/* Does not have ext/hash_map */
+#undef HAVE_GNU_EXT_HASH_MAP
+
+/* Does not have hash_set in gnu namespace */
+#undef HAVE_GNU_EXT_HASH_SET
+
 /* Define to 1 if the system has the type `int64_t'. */
 #undef HAVE_INT64_T
 
 /* Define to have the %a format string */
 #undef HAVE_PRINTF_A
 
+/* Have pthread_mutex_lock */
+#undef HAVE_PTHREAD_MUTEX_LOCK
+
 /* Define to 1 if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
 /* Define to 1 if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H
 
+/* Does not have ext/hash_map> */
+#undef HAVE_STD_EXT_HASH_MAP
+
+/* Does not have hash_set in std namespace */
+#undef HAVE_STD_EXT_HASH_SET
+
 /* Define to 1 if your compiler defines std::isinf in the <cmath> header file.
    */
 #undef HAVE_STD_ISINF_IN_CMATH
    */
 #undef HAVE_STD_ISNAN_IN_CMATH
 
+/* Does not have std namespace iterator */
+#undef HAVE_STD_ITERATOR
+
 /* Define to 1 if you have the `strdup' function. */
 #undef HAVE_STRDUP
 
index 48428b8cdef898f5b5ab402d06babbcefc0657e5..427e0c3a22074e0b8e7459e3e444eefef0995165 100644 (file)
@@ -17,7 +17,9 @@
 #ifndef SUPPORT_THREADSUPPORT_H
 #define SUPPORT_THREADSUPPORT_H
 
-#if @HAVE_PTHREAD_MUTEX_LOCK@
+#undef HAVE_PTHREAD_MUTEX_LOCK
+
+#ifdef HAVE_PTHREAD_MUTEX_LOCK
 #include "llvm/Support/ThreadSupport-PThreads.h"
 #else
 #include "llvm/Support/ThreadSupport-NoSupport.h"
index 48428b8cdef898f5b5ab402d06babbcefc0657e5..427e0c3a22074e0b8e7459e3e444eefef0995165 100644 (file)
@@ -17,7 +17,9 @@
 #ifndef SUPPORT_THREADSUPPORT_H
 #define SUPPORT_THREADSUPPORT_H
 
-#if @HAVE_PTHREAD_MUTEX_LOCK@
+#undef HAVE_PTHREAD_MUTEX_LOCK
+
+#ifdef HAVE_PTHREAD_MUTEX_LOCK
 #include "llvm/Support/ThreadSupport-PThreads.h"
 #else
 #include "llvm/Support/ThreadSupport-NoSupport.h"